
#ifndef _HUDPickupItem_H__
#define _HUDPickupItem_H__

#include "overlays/OverlaysPrereqs.h"

#include <map>
#include <vector>
#include <string>

#include <OgreOverlayManager.h>
#include <OgrePanelOverlayElement.h> 

#include "overlays/OrxonoxOverlay.h"
#include "tools/interfaces/Tickable.h"
#include "worldentities/pawns/Pawn.h"
#include "overlays/OverlayGroup.h"
#include "pickup/Pickup.h"

namespace orxonox
{
    class _OverlaysExport HUDPickupItem : public OrxonoxOverlay, public Tickable
    {
    public:
        HUDPickupItem(Context* context);
        Ogre::PanelOverlayElement* overlayElement_;
        virtual ~HUDPickupItem();

        // virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
        // virtual void tick(float dt) override;
        // virtual void changedOwner() override;
        // virtual void changedOverlayGroup() override;
        // virtual void changedVisibility() override;
        // virtual void changedName() override;
        // virtual void positionChanged() override;
        // virtual void sizeChanged() override;

        // void setPickup(Pickup* pickup);  
        void initializeMaterial(const std::string& s, float x, float y);  
        void hideMe(Pickupable* p); 

    private:
        // void createHUDChilds();
        // void positionHUDChilds();
        // void destroyHUDChilds();
        // void updateWeaponModeList();
        // void updateSize();
        // void updatePosition();

        
        WeakPtr<Pawn> owner_;
        WeakPtr<Pickup> pickup_;

    };
}

#endif